
#ifndef TSCENE_H_INCLUDED
#define TSCENE_H_INCLUDED

#include <windows.h>
#include <string>
#include <GL/glew.h>

// les objets
#include "../ECO/OUtils.h"
#include "../ECO/OKeyboard.h"
// test
#include "../ECO/OSound.h"
#include "../ECO/interface/OLabel.h"


class Tscene
{
public:
	Tscene();
	~Tscene();

	void        close();
	void        create();

    void        resize(int width_old, int height_old, int width, int height);
	void        run();

	void        cycle();

	void        draw();

	void		keyDown(OKeyboard& keyboard);

	void		mouseDownL(int x, int y);
	void		mouseDownR(int x, int y);
	void		mouseMove(int x, int y);
	void		mouseUp();
	void		mouseWheel(int delta);

private:

    bool        m_running;
	float		m_backColor[4];

	OSound      sound;
	OLabel      label;
};

#endif
